package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.StatusRepository;
import com.realnet.vpspack.Entity.Status
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


	import org.springframework.stereotype.Service;

@Service
 public class StatusService {
@Autowired
private StatusRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

public Status Savedata(Status data) {


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Status save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Status> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Status> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Status> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Status getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Status update(Status data,Integer id) {
	Status old = Repository.findById(id).get();
old.setStatus(data.getStatus());

final Status test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
